VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "WScriptSim"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'
'Global Object class, an instance of which is added to the
'Script Control as global object "WScript".  This is how our
'scripts interact with the host.
'
'A partial WScript object simulation.
'

Private WshStdOut As StdOutSim

Public Property Get StdOut() As StdOutSim
    Set StdOut = WshStdOut
End Property

Public Function CreateObject(ByVal ProgId As String, Optional ByVal Prefix As String) As Object
    'We ignore Prefix in this implementation.
    Set CreateObject = VBA.CreateObject(ProgId)
End Function

Public Sub Echo(ParamArray Text())
    WshStdOut.WriteLine Join$(Text, vbNewLine)
End Sub

Public Sub Quit(Optional ByVal Status As Long)
    Err.Raise gINTERNAL_ERROR 'Internal error, catch this in Script Control Error event!
End Sub

Private Sub Class_Initialize()
    Set WshStdOut = New StdOutSim
End Sub
